@font-face {
  font-family: 'MyComicSans';
  src: url('font/comicsans.eot'); /* IE9 Compat Modes */
  src: url('font/comicsans.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('font/comicsans.woff') format('woff'), /* Modern Browsers */
       url('font/comicsans.ttf')  format('truetype'), /* Safari, Android, iOS */
       url('font/comicsans.svg#svgFontName') format('svg'); /* Legacy iOS */
}

html{
  height: 100%;
  width: 100%;
}

body{
  height: 100%;
  width: 100%;
  margin: 0;
  background-size: 100% 100%;
  background-repeat: no-repeat;
  background-color: rgb(38 39 47);
  background-image: url("/client/images/background.png");
  /* background: */
    /* radial-gradient(circle at 35% -10%, rgb(32 44 99) 0%, transparent 20%),
    radial-gradient(circle at 100% 100%, rgb(32 44 99) 0%, transparent 25%),
    radial-gradient(circle at -50% 50%, rgb(32 44 99) 0%, transparent 50%), */
    /* rgb(38 39 47); */
  /* background: linear-gradient(0deg, rgba(45,45,45,1) 70%, rgba(60,60,60,1) 100%); */
  font-family: monospace !important;
}

.login-logo {
    max-width: 350px;
    margin: 20px;
}

.client-logo {
    max-width: 250px;
    margin: 5px 0;
}

.beta {
  width: min-content;
  font-size: x-large;
  color: rgb(233, 233, 233);
  animation-name: shine;
  animation-duration: 5s;
  animation-iteration-count: infinite;
  opacity: 0.5;
  width: fit-content;
}

.beta:hover {
  text-shadow: white 0 0 15px;
}


@keyframes shine {
  0% {opacity: 0.5;}
  40% {opacity: 1}
  100% {opacity: 0.5}
}

.board-floating-icon {
  position: absolute;
  right: 0;
  top: 0;
  margin: 6px 21px 0 0;
  display: flex;
  flex-direction: column;
  gap: 4px;
}

#upper-bars-container {
    display: flex;
    width: 100%;
    flex-direction: row;
    align-items: center;
    padding: 0 15px;
}

#upper-bars-container > .left-bars {
    flex: 1 1 0px;
    display: flex;
    flex-direction: column;
    gap: 5px;
    position: relative; /* for keeping max bar size using absolute positioning */
}

#upper-bars-container > .middle {
    flex: 0 0 35%;
}

#upper-bars-container > .right-bars {
    flex: 1 1 0px;
    display: flex;
    flex-direction: column;
    gap: 5px;
    position: relative; /* for keeping max bar size using absolute positioning */
}

#life-bar,
#stamina-bar {
    flex: 0 0 30px;
    border: 1px solid black;
    border-radius: 5px;
    background: linear-gradient(180deg, rgba(25, 25, 25, 1) 0, rgba(60, 60, 60, 1) 100%);
}

#hunger-bar,
#thirst-bar,
#heat-bar {
    flex: 0 0 20px;
    border: 1px solid black;
    border-radius: 5px;
    background: linear-gradient(180deg, rgba(25, 25, 25, 1) 0, rgba(60, 60, 60, 1) 100%);
}

#life-bar-inner{
    background: url("images/lifebar.png");
}
#stamina-bar-inner{
    background: url("images/staminabar.png");
}
#hunger-bar-inner{
    background: url("images/hungerbar.png");
}
#thirst-bar-inner{
    background: url("images/thirstbar.png");
}
#heat-bar-inner{
    background: url("images/heatbar.png");
}

#life-bar-inner,
#stamina-bar-inner,
#hunger-bar-inner,
#thirst-bar-inner,
#heat-bar-inner {
    background-size: 100% 100%;
    height: 100%;
    width: 100%;
    border-radius: 5px;
}

#loginWindow{
  position: fixed;
  width: 100%;
  height: 100%;
  background: rgba(40, 40, 40, 0.9);
  text-align: center;
  color: rgb(235, 235, 235);
  z-index: 100;
  overflow-y: auto;
}

.form-input[disabled] {
    background-color: rgb(60, 60, 60) !important;
    cursor: unset !important;
    color: rgb(180, 180, 180) !important;
}

input.form-input,
select.form-input {
  background-color: rgb(20 20 20);
  color: rgb(235, 235, 235);
  width: 100%;
  height: 35px;
  text-align: center;
  border-radius: 10px;
  border: none;
}

select.form-input {
    border-right: 5px solid transparent !important;
}

input[type="button"].form-input {
    height: auto;
    width: auto;
    padding: 8px 10px;
    background-color: rgba(0, 0, 0);
}

input[type="button"].form-input:hover {
    background-color: rgba(60, 60, 60, 0.5);
}

input.form-input:focus-visible,
select.form-input:focus-visible,
textarea:focus-visible,
input:focus-visible {
    outline: 2px solid rgb(157 157 159);
}

#loginSend{
  max-width: 200px;
  width: 100%;
  height: 40px;
  background-color: #1f791f;
  border: 0px;
  cursor: pointer;
  border-radius: 10px;
}

#loginSend:hover {
    opacity: 0.8;
}

#loginSend[disabled]{
  width: 30%;
  height: 40px;
  background-color: #4a4a4a;
  border: 0px;
  cursor: default;
}

.rightContainer{
  flex-direction: column;
  display: flex;
  justify-content: center;
}

.rightImage {
  width: 100%;
  height: auto;
  /* max-width: 270px;
  max-height: 270px; */
}

#mapImage{
  cursor: all-scroll;
}

.descImageContainer{
  position: absolute;
  top: 0;
  z-index: -1;
}

#mainBoardContainer{
  background: rgba(0, 0, 0, 50%);
  border-radius: 15px;
  width: 100%;
  height: 480px;
  padding: 10px 5px;
  margin-bottom: 5px;
}

#mainBoard {
  overflow-y: scroll;
}

#mainBoard div{
  margin-top: 2px;
  margin-bottom: 2px;
}

#mainBoard p{
  text-align: center;
  font-weight: bold;
}

#mainBoard img{
  margin-right: 3px;
  max-width: 20px;
  max-height: 20px;
}

.mainBoardMainDiv{
  padding: 0 5px;
  min-height: 20px;
  word-wrap: break-word;
}




.mainBoardMainDiv.spaced {
    margin-top: 7px !important;
    margin-bottom: 7px !important;
}

.mainBoardMainDiv.highly-spaced {
    margin-top: 20px !important;
    margin-bottom: 20px !important;
}

.mainBoardMainDiv.italic {
    font-style: italic;
}

.mainBoardMainDiv.smaller {
    font-size: smaller;
}

.mainBoardMainDiv.hoverable:hover {
    background: rgb(75 74 74 / 50%);
}

.mainBoardMainDiv.highlighed-fadeout {
    animation-name: highlighed-fadeout;
    animation-duration: 10s;
}
@keyframes highlighed-fadeout {
  0% {background: rgba(231, 249, 88, 0.15);}
  45% {background: rgb(231, 249, 88, 0.07);}
  80% {background: rgb(231, 249, 88 / 0.07);}
  100% {background: unset;}
}




#cmd {
  height: 30px;
  width: 100%;
}

#fastCmd{
  position: absolute;
  bottom: 0;
  left: 0;
  height: 30px;
  width: 100%;
  max-width: 350px;
}

.disconnection-reason {
    color: crimson;
}

#left-tables {
  width: 100%;
  display: flex;
  flex-direction: column;
  padding: 10px;
  margin-left: 5px;
  gap: calc(100% * 0.05);
  overflow-y: auto;
}

#left-tables img {
    margin-right: 3px;
}

.equipment {
    position: relative
}

.equipment > .title {
    color: #888888;
    font-style: italic;
    font-family: cursive;
}

.equipment > .subtitle {
    color: #888888;
    font-style: italic;
    font-family: cursive;
    font-size: small;
    margin: 10px 0 5px 5px;
}

.equipment .mainBoardMainDiv {
    margin-left: 7px;
}

.equipment .no-clothing {
    color: #888888;
    font-style: italic;
    font-family: cursive;
    font-size: small;
    padding-left: 10px;
}

.opponents {
    position: relative;
}

.opponents > .title {
    color: goldenrod;
    font-style: italic;
    font-family: cursive;
}

#opponents-side-equip > .subtitle {
    color: #888888;
    font-style: italic;
    font-family: cursive;
    font-size: small;
    margin: 10px 0 5px 5px;
}

#opponents-side-equip .no-clothing {
    color: #888888;
    font-style: italic;
    font-family: cursive;
    font-size: small;
    padding-left: 10px;
}

.opponents .mainBoardMainDiv {
    margin-top: 5px;
}

.column-shadow {
    position: absolute;
    width: 30px;
    height: 100%;
    top: 0;
    left: -14px;
    background: linear-gradient(to left, transparent 56%, rgb(129 130 134 / 85%) 100%);
    border-radius: 4px;
    z-index: -1;
}

#equipment-side-list-weapons,
#equipment-side-list-clothing,
#opponents-side-list,
#opponents-side-equip {
    font-size: smaller;
}

#opponents-side-list span.selected{
    text-decoration: underline #c800d5 wavy;
  }


.darkInput {
  color: white;
  background: rgba(0, 0, 0, 50%);
  border: none;
  border-radius: 8px;
  padding-left: 7px;
}

.checkBoxDescImg{
  margin-right:3px;
  vertical-align: baseline;
}

.error{
  color:crimson;
}

.success{
  color:forestgreen;
}

.timeSpan{
  color:goldenrod;
  margin-right: 3px;
}

.hidden{
  display: none;
}

.invisible{
  visibility: none;
}

.text-centered {
    text-align: center !important;
}

.link {
    cursor: pointer;
    color: rgb(220, 220, 220);
}

.link:hover {
  color: white;
}

.link .link-visualizer {
  text-decoration: underline;
  font-style: italic;
  text-decoration-color: rgba(220, 220, 220, 0.5);
}

/* FORM REGISTRAZIONE */
.register-form > .container {
    width: 100%;
    max-width: 420px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: left;
}

.register-form > .container > .spacer {
    margin: 10px;
}

.register-form > .container .final-buttons {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.register-form .rule-book-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  font-size: small;
}
.register-form .rule-book-container .rule-book-text {
  font-style: italic;
  text-decoration: underline;
  color: white;
  cursor: pointer;
}

.forgot-password {
  font-size: small;
}

.registration-username-supporting-text {
    margin: 3px 0 0 3px;
    font-size: small;
}

/*----------------------*/

/* width */
::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px grey;
  border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: rgba(150, 150, 150, 0.2);
  border-radius: 10px;
}

@media (max-width: 2000px) {
    #mainBoardContainer { font-size: 0.9rem; }
}

@media (max-width: 1500px) {
    #mainBoardContainer { font-size: 0.8rem; }
}